%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Web application construction kit written in Python
Name: python-nevow
Version: 0.9.29
Release: 2%{?dist}
License: MIT
Group: Development/Languages
URL: http://divmod.org/trac/wiki/DivmodNevow
# Add ?format=raw to download...
Source: http://divmod.org/trac/attachment/wiki/SoftwareReleases/Nevow-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-twisted-core
Requires: python-twisted-web
BuildRequires: python-devel
BuildRequires: python-twisted-core
BuildRequires: python-twisted-web
# To fix up docs
Buildrequires: dos2unix
BuildArch: noarch

%description
Nevow (pronounced as the French "nouveau", or "noo-voh") is a web application
construction kit written in Python. It is designed to allow the programmer to
express as much of the view logic as desired in Python.


%prep
%setup -q -n Nevow-%{version}
# Convert all DOS files to UNIX
find examples \( -name '*.html' -o -name '*.xml' -o -name '*.css' \) \
    -exec dos2unix {} \;
# Remove +x from executable doc files
%{__chmod} -x examples/i18n/update-l10n examples/wsgi/test-cgi.py


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
# Install man page
%{__install} -D -p -m 0644 doc/man/nevow-xmlgettext.1 \
    %{buildroot}%{_mandir}/man1/nevow-xmlgettext.1


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README doc/txt/* examples/
%{_bindir}/nevow-xmlgettext
%{_bindir}/nit
%if 0%{?fedora} >= 9
%{python_sitelib}/Nevow-*.egg-info/
%endif
%{python_sitelib}/formless/
%{python_sitelib}/nevow/
%{python_sitelib}/twisted/plugins/nevow_widget.py*
%{_mandir}/man1/nevow-xmlgettext.1*


%changelog
* Sun Feb  3 2008 Matthias Saou <http://freshrpms.net/> 0.9.29-2
- Update to 0.9.29.
- Apparently, egg-info files are only installed on F-9+.

* Mon Dec 17 2007 Matthias Saou <http://freshrpms.net/> 0.9.26-1
- Update to 0.9.26.
- Include new egg directory and twisted/plugins/nevow_widget.py files.

* Tue Apr 10 2007 Matthias Saou <http://freshrpms.net/> 0.9.18-2
- Fix some end-of-line encodings and executable bits in the docs.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.9.18-1
- Update to 0.9.18.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 0.9.0-1
- Initial RPM release.

